Skip to content
OpenPostDocs
OpenPostDocs
Workspaces

Record the first meaningful Workspace composition

Atomically records meaningful text, attached media, or an intentional content-mode choice once per Workspace.

POST/workspaces/{id}/setup/composition

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Workspace ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/workspaces/string/setup/composition" \  -H "Content-Type: application/json" \  -d '{    "origin_key": "stringstringstri",    "signal": "text"  }'
{  "$schema": "https://example.com/api/v1/schemas/StartWorkspaceCompositionResponse.json",  "claimed": true}